summaryrefslogtreecommitdiff
path: root/dev-python/httpbin
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-21 01:38:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-21 01:38:49 +0000
commitbeb17e64bd5e20d71b623a31b107c320492175b5 (patch)
tree990a705260a129f2e92fb130fa4f2b00e69a1869 /dev-python/httpbin
parent899e2978eb900633ac281935c387129b2a5d990e (diff)
downloadbaldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.tar.gz
baldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.tar.xz
baldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.zip
Adding metadata
Diffstat (limited to 'dev-python/httpbin')
-rw-r--r--dev-python/httpbin/httpbin-0.7.0-r2.ebuild11
1 files changed, 11 insertions, 0 deletions
diff --git a/dev-python/httpbin/httpbin-0.7.0-r2.ebuild b/dev-python/httpbin/httpbin-0.7.0-r2.ebuild
index 235f59a0c1d7..034fddeefcda 100644
--- a/dev-python/httpbin/httpbin-0.7.0-r2.ebuild
+++ b/dev-python/httpbin/httpbin-0.7.0-r2.ebuild
@@ -36,3 +36,14 @@ PATCHES=(
)
distutils_enable_tests unittest
+
+src_prepare() {
+ # a new version of flask or whatever converts relative redirects
+ # to absolute; this package is dead anyway, so just skip
+ # the relevant tests
+ sed -e 's:test_redirect:_&:' \
+ -e 's:test_relative:_&:' \
+ -i test_httpbin.py || die
+
+ distutils-r1_src_prepare
+}